跳到主要内容

查看 Collection 列表 (V2)

This operation lists all collection names for the current connection.

POST/v2/vectordb/collections/list
连接端点

该 API 的 Base URL 格式如下:

https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530

📘说明
  • 如果您使用的是服务集群,请使用集群端点。
    • Free 与 Serverless 版

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated 版

      https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530

  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥,或用冒号分隔的用户名和密码,如 username:password

示例值:Bearer {{TOKEN}}
请求体
dbNamestring

The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "my_database"
}'
响应

该操作列出当前连接中使用的数据库中的所有 Collection。

codeinteger

响应码。

dataarray

响应载荷,一个 Collection 名称列表。

[]datastring

Collection 名称。

Returns an error message.

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": [
"quick_setup_new",
"customized_setup_1",
"customized_setup_2"
]
}
Ctrl I